// mfcdata2View.h : interface of the CMfcdata2View class
//
/////////////////////////////////////////////////////////////////////////////

class CMfcdata2View : public CView
{
protected: // create from serialization only
	CMfcdata2View();
	DECLARE_DYNCREATE(CMfcdata2View)
	COleDropTarget m_dt ;
	CPoint m_DropPoint ;
	BOOL m_bCanDrop ;
	BOOL PasteTextIntoMyDocument (COleDataObject *, DROPEFFECT de = DROPEFFECT_COPY, CPoint point = CPoint(0,0))	;

// Attributes
public:
	CMfcdata2Doc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMfcdata2View)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual DROPEFFECT OnDragEnter(COleDataObject* pDataObject, DWORD dwKeyState, CPoint point);
	virtual DROPEFFECT OnDragOver(COleDataObject* pDataObject, DWORD dwKeyState, CPoint point);
	virtual BOOL OnDrop(COleDataObject* pDataObject, DROPEFFECT dropEffect, CPoint point);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMfcdata2View();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CMfcdata2View)
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnDataobjectEdittext();
	afx_msg void OnDataobjectCopytoclipboard();
	afx_msg void OnDataobjectPastetext();
	afx_msg void OnUpdateDataobjectPastetext(CCmdUI* pCmdUI);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in mfcdata2View.cpp
inline CMfcdata2Doc* CMfcdata2View::GetDocument()
   { return (CMfcdata2Doc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
